import { ItemBaseData } from "./base-item.mjs";
const fields = foundry.data.fields;

export default class DiseaseData extends ItemBaseData {
    static defineSchema() {
        const schema = super.defineSchema();
        schema.subType.initial = "disease"; // disease, poison
        schema.difficulty = new fields.StringField({ required: true, initial: "Average" });
        schema.damage = new fields.StringField({ required: false, blank: true });
        schema.interval = new fields.StringField({ required: false, blank: true });
        return schema;
    }
}
